PATCH /phone-numbers/{id}/whatsapp/calling

Update fields of an enabled number

PATCH
/phone-numbers/{id}/whatsapp/calling

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

Bought number id (GET /whatsapp/numbers) or the WhatsApp account id

Request Body

application/json
  1. body
accountId*string

WhatsApp account id

forwardTo?string

tel:+E164, sip:user@host or wss://host

sipAuthUsername?string|null
sipAuthPassword?|

Stored encrypted, never returned

recordingEnabled?boolean
callIconCountries?array<any>|null
maxCallDurationSeconds?|
Range30 <= value <= 14400
forwardCallerId?string
Value in"business""caller"

Response Body

WhatsAppCallingConfig

application/json
  1. response
phoneNumber?string|null
callingEnabled?boolean
callDeepLink?string|null
forwardTo?|

tel:+E164 / sip:user@host / wss://host

recordingEnabled?boolean
sipAuthUsername?string|null
sipAuthPasswordConfigured?boolean
callIconCountries?array<any>|null
outboundDisabled?boolean
callerIdMode?string
Value in"business""platform"
callerIdVerified?boolean
maxCallDurationSeconds?integer|null
forwardCallerId?string
Value in"business""caller"
Example Request
curl -X PATCH 'https://example.com/api/v1/phone-numbers/string/whatsapp/calling' \  -H 'Content-Type: application/json' \  -d '{  "accountId": "string"}'
Example Response
{  "phoneNumber": "string",  "callingEnabled": true,  "callDeepLink": "string",  "forwardTo": "string",  "recordingEnabled": true,  "sipAuthUsername": "string",  "sipAuthPasswordConfigured": true,  "callIconCountries": [],  "outboundDisabled": true,  "callerIdMode": "business",  "callerIdVerified": true,  "maxCallDurationSeconds": 0,  "forwardCallerId": "business"}